from services.image import ImageService
from static.image_helper import ImageHelper
from flask import request, Response, Blueprint, jsonify, send_file

image_blueprint = Blueprint('image_blueprint', __name__)
image_service = ImageService()


@image_blueprint.route('/image/blur', methods=['POST'])
def blur_image():
    radius = int(request.form.get('radius'))
    image = request.files.get('file')

    if radius and image:
        return send_file(image_service.box_blur_image(image, radius),
                         mimetype='image/jpeg',
                         as_attachment=True,
                         download_name='blurred_image.jpeg')

    return "Bad request", 400


@image_blueprint.route('/image/load-small-image', methods=['GET'])
def get_simple_image():
    return send_file(image_service.get_simple_image(),
                     mimetype='image/png',
                     as_attachment=True,
                     download_name='small-image.png')


@image_blueprint.route('/image/load-big-image', methods=['GET'])
def get_big_image():
    return send_file(image_service.get_big_image(),
                     mimetype='image/png',
                     as_attachment=True,
                     download_name='big-image.png')


@image_blueprint.route('/image/save-big-image', methods=['POST'])
def save_image():
    pass
